VfxApply: Video Effect Toolkit
==============================

VfxApply is a tool to apply effects and filters using presets and plugins. A preset
can for example apply audio normalization, visualize audio as video, or apply a
Natron pipeline.



## Usage

    vfxapply [-i <input>] [-o <output>|-O] [-p <preset>] [-c <key>=<value>]
    
        -i  Set the input file (if omitted, a file picker will be displayed)
        -o  Set the output file (if omitted, a file picker will be displayed)
        -O  Automatically assign output filename based on input filename
        -p  Select the preset to apply
        -c  Specify parameters for the preset
        -b  Batch mode, input parameter is a list of files

Examples:

    vfxapply
        Ask for input, output and preset

    vfxapply -i in.mp4 -o out.m4
        Ask for preset to apply and process in.mp4 into out.mp4

    vfxapply -O -p ffmpeg-audio-normalize
        Normalize audio after picking input, output name will be generated.

## Plugins

### ffmpeg

### natron
