<?php

namespace VfxApply;

class Plugin
{
    protected function createDialog($type, $title=null)
    {
        switch ($type) {
            case DIALOG_PROGRESS:
                return new Dialog\ProgressDialog($title);
            default:
                throw new \Exception("Error, undefined dialog type {$type}");
        }
    }

    protected function createProcess($command, callable $callback)
    {
        return new Process($command, $callback);
    }
    
}